* This program provides summary statistics in Tables 1 and 2

clear
set mem 500m
set matsize 800
capture log close

*--------------------------------------------------------------------------
* Part A: Summary Statistics of Rows 1 to 10 in Table 1
*--------------------------------------------------------------------------
 
/* to caculate the summary statistics for Rows 1 to 10 in Table 1, you can only 
use information from Table1_rows1to19.dta, which is created from different waves 
of wealth supplements in SIPP database from year 1984 to 1993*/

use "Table1_rows1to10.dta" 
keep if mhhtnw>0  /* keep household with positive networth*/    

xtile netwthtile=mhhtnw, nq(10)

display " Summary Statistics of Table 1 (row 1 to 10)" 

local i=1

while  `i'<=10 { 

display _newline " Summary Statistics for Quantile `i'"

sum  mhhtnw totalassets totaldebt debtpositive hhscdbt hhusdbt hhtheq hhvehcl netexeq netexeqvehcl if netwthtile==`i'

local i=`i'+1

}

*--------------------------------------------------------------------------
* Part B: Summary Statistics of Rows 11 to 15 in Table 1 and Table 2
*-------------------------------------------------------------------------- 

use "C:\mergedata.dta", clear /* use the data which was created by merging "Table1_rows1to19.dta" with final-form data from Yelowit-Gruber data*/

keep if mhhtnw>0 		/* keeep household with positive networth*/

gen medratio=combo8*1000/mhhtnw2
gen cover=(combo8>0)					/* indicator for households with positive medicaid egligible dollars*/
gen medicaidcover=(caiddol>0)				/* indicator for households currently covered by Medicaid */

xtile netwthtile=mhhtnw, nq(10)

display " Summary Statistics of Rows 11 to 15 in Table 1 " 

local i=1

while  `i'<=10 { 

display " Summary Statistics for Quantile `i'"

egen medstd`i'=sd(combo8) if netwthtile==`i'

sum combo8 medratio medstd`i' cover medicaidcover if netwthtile==`i'

local i=`i'+1

}

display " Summary Statistics of Table 2 " 

local i=1

while  `i'<=10 { 

display _newline " Summary Statistics for Quantile `i'"

sum female age black white ed12 ed15 ed16 married if netwthtile==`i'
sum ed12sp ed15sp ed16sp if married==1 & netwthtile==`i'

local i=`i'+1

}


