* This program generates matrix to use Chernozhukov and Hansen's code Matlab programs to
* produce results in Panel A of the Table 6


clear
set mem 500m
set matsize 3000
set more off
capture log close

use "C:finaldata.dta", clear

gen lhhtnwsign=log(hhtnw2+sqrt((hhtnw2^2+1)))  /*hyperbolic sign transformation */
drop aagt64 _Ifnp_16  /* drop benchmark dummy variables*/

global hdvar="female age age2_100 black white ed12 ed15 ed16 married"
global hhvar="ed12sp ed15sp ed16sp aa* ageed*"

reg combo8 combo8b $hdvar $hhvar _I* 
predict combo8hat

gen kp_combo8hat=combo8hat*kp

preserve

keep lhhtnwsign

save "C:\table6By.dta", replace

restore

preserve

keep combo8

save "C:\table6Bd.dta", replace

restore

preserve

keep combo8b

save "C:\table6Bz.dta", replace

restore

preserve

keep kp_combo8hat $hdvar $hhvar _I*

save "C:\table6Bx.dta", replace

restore
